Index: contrib/crossrpms/gdb/gdb.add
===================================================================
--- contrib/crossrpms/gdb/gdb.add	(revision 280e130866589bab1620590a546eb2655b345fef)
+++ contrib/crossrpms/gdb/gdb.add	(revision ed332c868a68c3239aad12c714c47a98845e6e31)
@@ -12,5 +12,9 @@
 
 %if "%{gdb_version}" >= "6.6"
+%if "%{?suse}"
+BuildRequires:	expat
+%else 
 BuildRequires:	expat-devel
+%endif
 %endif
 %if %build_infos
Index: contrib/crossrpms/rtems4.8/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/arm/gcc-sources.add	(revision 280e130866589bab1620590a546eb2655b345fef)
+++ contrib/crossrpms/rtems4.8/arm/gcc-sources.add	(revision ed332c868a68c3239aad12c714c47a98845e6e31)
@@ -16,6 +16,6 @@
 %endif
 %if "%{gcc_version}" == "4.2.1"
-Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-%{gcc_pkgvers}-rtems4.8-20070715.diff
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.1-rtems4.8-20070719.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/avr/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/avr/gcc-sources.add	(revision 280e130866589bab1620590a546eb2655b345fef)
+++ contrib/crossrpms/rtems4.8/avr/gcc-sources.add	(revision ed332c868a68c3239aad12c714c47a98845e6e31)
@@ -16,6 +16,6 @@
 %endif
 %if "%{gcc_version}" == "4.2.1"
-Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-%{gcc_pkgvers}-rtems4.8-20070715.diff
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.1-rtems4.8-20070719.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/bfin/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/bfin/gcc-sources.add	(revision 280e130866589bab1620590a546eb2655b345fef)
+++ contrib/crossrpms/rtems4.8/bfin/gcc-sources.add	(revision ed332c868a68c3239aad12c714c47a98845e6e31)
@@ -16,6 +16,6 @@
 %endif
 %if "%{gcc_version}" == "4.2.1"
-Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-%{gcc_pkgvers}-rtems4.8-20070715.diff
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.1-rtems4.8-20070719.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/h8300/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/h8300/gcc-sources.add	(revision 280e130866589bab1620590a546eb2655b345fef)
+++ contrib/crossrpms/rtems4.8/h8300/gcc-sources.add	(revision ed332c868a68c3239aad12c714c47a98845e6e31)
@@ -16,6 +16,6 @@
 %endif
 %if "%{gcc_version}" == "4.2.1"
-Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-%{gcc_pkgvers}-rtems4.8-20070715.diff
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.1-rtems4.8-20070719.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/i386/gcc-sources.add	(revision 280e130866589bab1620590a546eb2655b345fef)
+++ contrib/crossrpms/rtems4.8/i386/gcc-sources.add	(revision ed332c868a68c3239aad12c714c47a98845e6e31)
@@ -16,6 +16,6 @@
 %endif
 %if "%{gcc_version}" == "4.2.1"
-Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-%{gcc_pkgvers}-rtems4.8-20070715.diff
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.1-rtems4.8-20070719.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/m68k/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/m68k/gcc-sources.add	(revision 280e130866589bab1620590a546eb2655b345fef)
+++ contrib/crossrpms/rtems4.8/m68k/gcc-sources.add	(revision ed332c868a68c3239aad12c714c47a98845e6e31)
@@ -16,6 +16,6 @@
 %endif
 %if "%{gcc_version}" == "4.2.1"
-Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-%{gcc_pkgvers}-rtems4.8-20070715.diff
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.1-rtems4.8-20070719.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/mips/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/mips/gcc-sources.add	(revision 280e130866589bab1620590a546eb2655b345fef)
+++ contrib/crossrpms/rtems4.8/mips/gcc-sources.add	(revision ed332c868a68c3239aad12c714c47a98845e6e31)
@@ -16,6 +16,6 @@
 %endif
 %if "%{gcc_version}" == "4.2.1"
-Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-%{gcc_pkgvers}-rtems4.8-20070715.diff
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.1-rtems4.8-20070719.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/powerpc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/powerpc/gcc-sources.add	(revision 280e130866589bab1620590a546eb2655b345fef)
+++ contrib/crossrpms/rtems4.8/powerpc/gcc-sources.add	(revision ed332c868a68c3239aad12c714c47a98845e6e31)
@@ -16,6 +16,6 @@
 %endif
 %if "%{gcc_version}" == "4.2.1"
-Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-%{gcc_pkgvers}-rtems4.8-20070715.diff
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.1-rtems4.8-20070719.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/sh/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/sh/gcc-sources.add	(revision 280e130866589bab1620590a546eb2655b345fef)
+++ contrib/crossrpms/rtems4.8/sh/gcc-sources.add	(revision ed332c868a68c3239aad12c714c47a98845e6e31)
@@ -16,6 +16,6 @@
 %endif
 %if "%{gcc_version}" == "4.2.1"
-Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-%{gcc_pkgvers}-rtems4.8-20070715.diff
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.1-rtems4.8-20070719.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/sparc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/sparc/gcc-sources.add	(revision 280e130866589bab1620590a546eb2655b345fef)
+++ contrib/crossrpms/rtems4.8/sparc/gcc-sources.add	(revision ed332c868a68c3239aad12c714c47a98845e6e31)
@@ -16,6 +16,6 @@
 %endif
 %if "%{gcc_version}" == "4.2.1"
-Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-%{gcc_pkgvers}-rtems4.8-20070715.diff
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.1-rtems4.8-20070719.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.8/tic4x/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.8/tic4x/gcc-sources.add	(revision 280e130866589bab1620590a546eb2655b345fef)
+++ contrib/crossrpms/rtems4.8/tic4x/gcc-sources.add	(revision ed332c868a68c3239aad12c714c47a98845e6e31)
@@ -16,6 +16,6 @@
 %endif
 %if "%{gcc_version}" == "4.2.1"
-Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-%{gcc_pkgvers}-rtems4.8-20070715.diff
+Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.2.1-rtems4.8-20070719.diff
 %endif
 %{?_without_sources:NoSource:	0}
